View Issue Details

IDProjectCategoryView StatusLast Update
0001399OpenFOAM[All Projects] Bugpublic2015-01-01 13:56
Reporteruser863Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformlinuxOSredhatOS Version6.4
Product Version 
Fixed in Version 
Summary0001399: AMI MRF don't work well together
DescriptionWhen using AMI and MRF together there are strong gradients of velocity and pressure near the AMI regions.
Steps To Reproduce- take the pimpleDyMFoam/propeller tutorial
- use the system directory attached to convert it into a simpleFoam + MRF analysis
- discontinuities in U and p will be visible in paraview doing a cut in the middle of the channel
TagsAMI

Activities

user863

2014-09-17 04:21

 

system.tgz (7,239 bytes)

user863

2014-09-17 23:17

  ~0003235

Last edited: 2014-09-17 23:19

View 3 revisions

add nonRotatingPatches (AMI1 AMI2); in the MRF source.

MRF1
{
    type MRFSource;
    active true;
    selectionMode cellZone;
    cellZone innerCylinderSmall;

    MRFSourceCoeffs
    {
        nonRotatingPatches (AMI1 AMI2);
        origin (0 0 0);
        axis (0 1 0);
        omega 158;
    }
}

Once you add the above line in fvOptions, there will not be any discontinuities

Issue History

Date Modified Username Field Change
2014-09-17 04:21 user863 New Issue
2014-09-17 04:21 user863 File Added: system.tgz
2014-09-17 23:17 user863 Note Added: 0003235
2014-09-17 23:18 user863 Note Edited: 0003235 View Revisions
2014-09-17 23:19 user863 Note Edited: 0003235 View Revisions
2014-12-29 18:40 wyldckat Tag Attached: AMI
2015-01-01 13:56 henry Status new => resolved
2015-01-01 13:56 henry Resolution open => fixed
2015-01-01 13:56 henry Assigned To => henry